journal_wipe
Prev | Journal Level | Next

## Name

journal_wipe — Wipe journal contents

## Synopsis

`int journal_wipe (` | journal_t * | journal,
| int | write`)`;

## Arguments

`journal`

  Journal to act on.

`write`

  flag (see below)

## Description

Wipe out all of the contents of a journal, safely. This will produce a warning if the journal contains any valid recovery information. Must be called between journal_init_*() and `journal_load`.

If 'write' is non-zero, then we wipe out the journal on disk; otherwise we merely suppress recovery.

Prev | Up | Next
journal_flush | Home | journal_abort